Subject: Why we stopped our communication? I expected more, Olga!

From: <[email-masked]>
Date: Tue, 16 Feb 2010 18:33:09 -0300

You are my good, my handsome - write me, I'm waiting! Asking you to click